From 442d75fabfe609a20de419dc7a8c9bc1af4e3a6e Mon Sep 17 00:00:00 2001
From: Ryota Ozaki <ozaki.ryota@gmail.com>
Date: Mon, 2 Mar 2009 03:43:59 +0900
Subject: [PATCH] fix missing VIR_FREE

---
 src/storage_conf.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/src/storage_conf.c b/src/storage_conf.c
index 70107a2..e79210a 100644
--- a/src/storage_conf.c
+++ b/src/storage_conf.c
@@ -383,6 +383,7 @@ virStoragePoolDefParsePerms(virConnectPtr conn,
     } else {
         char *end;
         perms->mode = strtol(mode, &end, 8);
+        VIR_FREE(mode);
         if (*end || perms->mode < 0 || perms->mode > 0777) {
             virStorageReportError(conn, VIR_ERR_XML_ERROR,
                                   "%s", _("malformed octal mode"));
@@ -812,6 +813,7 @@ virStorageVolDefParsePerms(virConnectPtr conn,
     } else {
         char *end = NULL;
         perms->mode = strtol(mode, &end, 8);
+        VIR_FREE(mode);
         if (*end || perms->mode < 0 || perms->mode > 0777) {
             virStorageReportError(conn, VIR_ERR_XML_ERROR,
                                   "%s", _("malformed octal mode"));
-- 
1.6.0.6

